<style lang="less">
</style>
<template>
  <div>
    <el-form :model="dataForm" :rules="dataRule" ref="dataForm" @keyup.enter.native="dataFormSubmit()" label-width="110px">
      <el-form-item label="市场主体名称" prop="name">
        <el-input v-model="dataForm.name" placeholder="市场主体名称"></el-input>
      </el-form-item>
      <el-form-item label="统一信用代码" prop="creditCode">
        <el-input v-model="dataForm.creditCode" placeholder="统一信用代码"></el-input>
      </el-form-item>
      <el-form-item label="注册资金" prop="money">
        <el-input v-model="dataForm.money" placeholder="注册资金"></el-input>
      </el-form-item>
      <el-form-item label="法定代表人" prop="legalPerson">
        <el-input v-model="dataForm.legalPerson" placeholder="法定代表人"></el-input>
      </el-form-item>
      <el-form-item label="成立时间" prop="establishTime">
        <!-- <el-input v-model="dataForm.establishTime" placeholder="成立时间"></el-input>-->
        <el-date-picker
          v-model="dataForm.establishTime"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="注册地址" prop="address">
        <el-input v-model="dataForm.address" placeholder="注册地址"></el-input>
      </el-form-item>
      <el-form-item label="经营范围" prop="businessScope">
        <el-select clearable placeholder="请选择经营范围" style="width: 100%" v-model="dataForm.businessScope">
          <el-option
            :key="item.value"
            :label="item.label"
            :value="item.value"
            v-for="item in industryList">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="联系电话" prop="telephone">
        <el-input v-model="dataForm.telephone" placeholder="联系电话"></el-input>
      </el-form-item>
      <el-form-item label="违法总数" prop="lawNum">
        <el-input v-model="dataForm.lawNum" placeholder="违法总数"></el-input>
      </el-form-item>
      <el-form-item label="企业状态" prop="status">
        <!--<el-input v-model="dataForm.status" placeholder="企业状态"></el-input>-->
        <el-select clearable placeholder="企业状态" style="width: 100%" v-model="dataForm.status">
          <el-option
            :key="item.value"
            :label="item.label"
            :value="item.value"
            v-for="item in companyStatus">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="企业类型" prop="status">
        <!--<el-input v-model="dataForm.status" placeholder="企业状态"></el-input>-->
        <el-select clearable placeholder="企业类型" style="width: 100%" v-model="dataForm.type">
          <el-option
            :key="item.value"
            :label="item.label"
            :value="item.value"
            v-for="item in companyStype">
          </el-option>
        </el-select>
      </el-form-item>
    </el-form>
    <el-button @click="handelCancel">取消</el-button>
    <el-button type="primary" @click="dataFormSubmit()">确定</el-button>
  </div>
</template>

<script>
import {getObj, addObj, putObj} from '@/api/company'
import {remote} from "@/api/admin/dict"
import {addBusiness} from '@/api/oa/activiti'
export default {
  name: "demo",
  data() {
    return {
      type: 0,
      loading: false, // 表单加载状态
      modalVisible: false,
      selectDate: null,
      form: {
        // 添加或编辑表单对象初始化数据
        type: "",
        title: "",
        description: "",
        startDate: "",
        endDate: "",
        duration: 0,
      },
      errorMsg: "",
      submitLoading: false, // 添加或编辑提交状态
      processList: [],
      backRoute: "",
      procDefId: "",
      visible: false,
      industryList:[], //经营范围回显
      companyStatus:[], //企业状态回显
      companyStype:[], //企业类型回显
      dataForm: {
        id: 0,
        name: '',
        creditCode:'',
        money:'',
        legalPerson:'',
        establishTime:'',
        address:'',
        businessScope:'',
        telephone:'',
        lawNum:'',
        status:'',
        type:''
      },
      dataRule: {
        // name: [
        //   { required: true, message: '市场主体名称不能为空', trigger: 'blur' }
        // ],
        // creditCode: [
        //   { required: true, message: '统一信用代码不能为空', trigger: 'blur' }
        // ],
        // money: [
        //   { required: true, message: '注册资金不能为空', trigger: 'blur' }
        // ],
        // legalPerson: [
        //   { required: true, message: '法定代表人不能为空', trigger: 'blur' }
        // ]
        // ,
        // establishTime: [
        //   { required: true, message: '成立时间不能为空', trigger: 'blur' }
        // ],
        // address: [
        //   { required: true, message: '注册地址不能为空', trigger: 'blur' }
        // ],
        // businessScope: [
        //   { required: true, message: '经营范围不能为空', trigger: 'blur' }
        // ],
        // telephone: [
        //   { required: true, message: '联系电话不能为空', trigger: 'blur' }
        // ],
        // lawNum: [
        //   { required: true, message: '违法总数不能为空', trigger: 'blur' }
        // ],
        // status: [
        //   { required: true, message: '企业状态不能为空', trigger: 'blur' }
        // ]
      }
    };
  },
  methods: {
    init() {
      this.type = this.$route.query.type;
      this.backRoute = this.$route.query.backRoute;
      this.procDefId = this.$route.query.procDefId;

      //
      this.dataForm.id = this.$route.query.id || 0
      this.visible = true
      this.$nextTick(() => {
        this.$refs['dataForm'].resetFields()
        if (this.dataForm.id) {
          getObj(this.dataForm.id).then(response => {
            this.dataForm = response.data.data
          })
        }
      })
    },
    // 表单提交
    dataFormSubmit () {
      this.dataForm.establishTime = this.moment(this.dataForm.establishTime).format('YYYY-MM-DD')
      this.$refs['dataForm'].validate((valid) => {
        if (valid) {
          if (this.dataForm.id) {
            // putObj(this.dataForm).then(data => {
            //   this.$message.success('修改成功')
            //   this.visible = false
            //   this.$emit('refreshDataList')
            // });
          } else {
            let params = {};
            params.title="Demo申请";
            params.tableId = 1;
            params.procDefId = this.procDefId;
            addBusiness(params).then(data=>{
              this.$message.success('添加成功');
              this.closeCurrentPage();
            })
          }
        }
      })
    },

    getData() {
      // this.loading = true;
      //         getLeaveData(this.form.id).then((res) => {
      //           this.loading = false;
      //           if (res.success) {
      //             // 转换null为""
      //             let v = res.result;
      //             for (let attr in v) {
      //               if (v[attr] == null) {
      //                 v[attr] = "";
      //       }
      //     }
      //     let str = JSON.stringify(v);
      //     let data = JSON.parse(str);
      //     this.form = data;
      //     this.selectDate = [];
      //     this.selectDate[0] = data.startDate;
      //     this.selectDate[1] = data.endDate;
      //     this.customList2 = "ROLE_ADMIN";
      //   }
      // });
    },
    handelCancel() {
      this.closeCurrentPage();
    },
    // 关闭当前页面
    closeCurrentPage() {
      // this.$store.commit("removeTag", "leave");
      // localStorage.pageOpenedList = JSON.stringify(
      //   this.$store.state.app.pageOpenedList
      // );
      this.$store.commit('delVisitedViews',this.$route.path);
      this.$router.push({
        name: this.backRoute,
      });
    },
  },
  mounted() {
    this.init();
  },
  created() {
    remote('industry').then(res => {  //选择执法主体
      this.industryList = res.data.data
    })
    remote('company_status').then(res => {  //选择执法主体
      this.companyStatus = res.data.data
    })
    remote('company_type').then(res => {  //选择执法主体
      this.companyStype = res.data.data
    })
  },
};
</script>
